"""create table for books
Revision ID: 1d6a9f58e2f1
Revises: 0001
Create Date: 2023-05-11 15:18:36.631658
"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '1d6a9f58e2f1'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'books',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('year_published', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now()),
        sa.Column('author_id', sa.String(36), sa.ForeignKey('authors.id'), nullable=False)
    )


def downgrade():
    op.drop_table('books')